package com.wisedu.mooc.app.upload.vo;

import java.util.HashMap;
import java.util.Map;

public class UploadVo {

	private String fileRelativePath;
	private String fileAbsolutePath;
	
	private String fileTempPath;
	private String fileTempUrl;
	
	private String fileExt;
	
	private String errorMag;
	
	private String errorCode;
	
	private String originalFilename;
	
	private Integer axisX ;
	private Integer axisY ;
	private Integer width ;
	private Integer height ;
	
	//用于额为的传参
	private Map<String,String> uploadMap ;
	
	
	public String getOriginalFilename() {
		return originalFilename;
	}
	public void setOriginalFilename(String originalFilename) {
		this.originalFilename = originalFilename;
	}
	private Integer resultStatus = 1;
	
	public Integer getResultStatus() {
		return resultStatus;
	}
	public void setResultStatus(Integer resultStatus) {
		this.resultStatus = resultStatus;
	}
	public String getFileRelativePath() {
		return fileRelativePath;
	}
	public void setFileRelativePath(String fileRelativePath) {
		this.fileRelativePath = fileRelativePath;
	}
	public String getFileAbsolutePath() {
		return fileAbsolutePath;
	}
	public void setFileAbsolutePath(String fileAbsolutePath) {
		this.fileAbsolutePath = fileAbsolutePath;
	}
	public String getErrorMag() {
		return errorMag;
	}
	public void setErrorMag(String errorMag) {
		this.errorMag = errorMag;
	}
	public String getErrorCode() {
		return errorCode;
	}
	public void setErrorCode(String errorCode) {
		this.errorCode = errorCode;
	}
	public String getFileTempPath() {
		return fileTempPath;
	}
	public void setFileTempPath(String fileTempPath) {
		this.fileTempPath = fileTempPath;
	}
	public String getFileTempUrl() {
		return fileTempUrl;
	}
	public void setFileTempUrl(String fileTempUrl) {
		this.fileTempUrl = fileTempUrl;
	}
	public Integer getAxisX() {
		return axisX;
	}
	public void setAxisX(Integer axisX) {
		this.axisX = axisX;
	}
	public Integer getAxisY() {
		return axisY;
	}
	public void setAxisY(Integer axisY) {
		this.axisY = axisY;
	}
	public Integer getWidth() {
		return width;
	}
	public void setWidth(Integer width) {
		this.width = width;
	}
	public Integer getHeight() {
		return height;
	}
	public void setHeight(Integer height) {
		this.height = height;
	}
	public String getFileExt() {
		return fileExt;
	}
	public void setFileExt(String fileExt) {
		this.fileExt = fileExt;
	}
	public Map<String, String> getUploadMap() {
		return uploadMap == null?new HashMap<String, String>():uploadMap;
	}
	public void setUploadMap(Map<String, String> uploadMap) {
		this.uploadMap = uploadMap;
	}
	
}
